mbed TLS v2.23.0

Data Fields
mbedtls_ecp_point Struct Reference

The ECP point structure, in Jacobian coordinates. More...

`#include <ecp.h>`

Collaboration diagram for mbedtls_ecp_point:
[legend]

## Data Fields
mbedtls_mpi | X
mbedtls_mpi | Y
mbedtls_mpi | Z

## Detailed Description

The ECP point structure, in Jacobian coordinates.

Note
  All functions expect and return points satisfying the following condition: `Z == 0` or `Z == 1`. Other values of `Z` are used only by internal functions. The point is zero, or "at infinity", if `Z == 0`. Otherwise, `X` and `Y` are its standard (affine) coordinates.

Definition at line 134 of file ecp.h.

## Field Documentation

## ◆ X

mbedtls_mpi mbedtls_ecp_point::X

The X coordinate of the ECP point.

Definition at line 136 of file ecp.h.

## ◆ Y

mbedtls_mpi mbedtls_ecp_point::Y

The Y coordinate of the ECP point.

Definition at line 137 of file ecp.h.

## ◆ Z

mbedtls_mpi mbedtls_ecp_point::Z

The Z coordinate of the ECP point.

Definition at line 138 of file ecp.h.

The documentation for this struct was generated from the following file:

- ecp.h